For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
    • User
    • Geozone
    • Fleets
    • Notifications
    • Routes
      • GETgetRoutes
      • POSTrouteUpdate
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APIRoutes

getRoutes

||View as Markdown|
GET
https://app.nukio.mx/api/v1/route/getRoutesToShowOnMap/:type/:deviceID/authorization
GET
/api/v1/route/getRoutesToShowOnMap/:type/:deviceID/authorization
$curl https://app.nukio.mx/api/v1/route/getRoutesToShowOnMap/1/01/authorization \
> -H "authorization: <apiKey>"
200Routes_getRoutes_example
1{
2 "routes": [
3 {
4 "endLat": 25.6936001,
5 "endLng": -100.1693473,
6 "routeId": "mty",
7 "startLat": 25.6900294,
8 "startLng": -100.219863,
9 "wayPoints": ""
10 }
11 ],
12 "success": "true",
13 "status_code": "200"
14}
Was this page helpful?
Previous

Overview

Next

routeUpdate

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

typestringRequired
Type of route 1 or 2
deviceIDstringRequired
Device ID number

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
routeslist of objects
successstring
status_codestring